> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Statistics ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /statistics openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /statistics: get: tags: - Statistics summary: Get Statistics operationId: StatisticsPublic_GetStatistics parameters: - name: dateFrom in: query description: >- (Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned. schema: type: string format: date-time nullable: true x-position: 1 - name: dateTo in: query description: >- (Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned. schema: type: string format: date-time nullable: true x-position: 2 - name: pullZone in: query description: >- (Optional) If set, the statistics will be only returned for the given Pull Zone schema: type: integer format: int64 default: -1 x-position: 3 - name: serverZoneId in: query description: >- (Optional) If set, the statistics will be only returned for the given region ID schema: type: integer format: int64 default: -1 x-position: 4 - name: loadErrors in: query description: (Optional) If set, the respose will contain the non-2xx response schema: type: boolean default: false x-position: 5 - name: hourly in: query description: >- (Optional) If true, the statistics data will be returned in hourly groupping. schema: type: boolean default: false x-position: 6 - name: exactRange in: query description: >- (Optional) If true and hourly=true, the exact hour components of dateFrom and dateTo will be preserved instead of rounding to full-day boundaries. schema: type: boolean default: false x-position: 7 - name: loadOriginResponseTimes in: query description: Load Origin Response Times schema: type: boolean default: false x-position: 8 - name: loadOriginTraffic in: query description: Load Origin Traffic schema: type: boolean default: false x-position: 9 - name: loadRequestsServed in: query description: Load Requests Served schema: type: boolean default: false x-position: 10 - name: loadBandwidthUsed in: query description: Load Bandwidth Used schema: type: boolean default: false x-position: 11 - name: loadOriginShieldBandwidth in: query description: Load Origin Shield Bandwidth schema: type: boolean default: false x-position: 12 - name: loadGeographicTrafficDistribution in: query description: Load Geographic Traffic Distribution schema: type: boolean default: false x-position: 13 - name: loadUserBalanceHistory in: query description: Load User Balance History schema: type: boolean default: false x-position: 14 responses: '200': description: The statistics data for the passed parameters. content: application/json: schema: $ref: '#/components/schemas/StatisticsModel' '401': description: The request authorization failed '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserAPIStatistics - SubuserStatistics - SubuserManage - SubuserAPIManage - ScopedApiKey - bearer: - User - UserApi - SubuserAPIStatistics - SubuserStatistics - SubuserManage - SubuserAPIManage - ScopedApiKey components: schemas: StatisticsModel: type: object additionalProperties: false properties: TotalBandwidthUsed: type: integer description: The total bandwidth used by the response in the given time range format: int64 TotalOriginTraffic: type: integer description: The total amount of traffic received from the origin format: int64 AverageOriginResponseTime: type: integer description: The median response time origin format: int32 OriginResponseTimeChart: type: object description: The constructed origin response time chart data nullable: true additionalProperties: type: number format: double TotalRequestsServed: type: integer description: The total requests served by the response in the given time range format: int64 CacheHitRate: type: number description: The average cache hit rate in the response in the given time range format: double BandwidthUsedChart: type: object description: The constructed bandwdidth used chart data nullable: true additionalProperties: type: number format: double BandwidthCachedChart: type: object description: The constructed cached bandwdidth used chart data nullable: true additionalProperties: type: number format: double CacheHitRateChart: type: object description: The constructed cache hit rate chart data nullable: true additionalProperties: type: number format: double RequestsServedChart: type: object description: The constructed requests served chart data nullable: true additionalProperties: type: number format: double PullRequestsPulledChart: type: object description: The constructed uncached requests served chart data nullable: true additionalProperties: type: number format: double OriginShieldBandwidthUsedChart: type: object description: The constructed origin shield bandwdidth used chart data nullable: true additionalProperties: type: number format: double OriginShieldInternalBandwidthUsedChart: type: object description: The constructed origin shield internal bandwdidth used chart data nullable: true additionalProperties: type: number format: double OriginTrafficChart: type: object description: The constructed origin traffic used chart data nullable: true additionalProperties: type: number format: double UserBalanceHistoryChart: type: object description: The constructed user balance history chart data nullable: true additionalProperties: type: number format: double GeoTrafficDistribution: type: object description: The geo traffic distribution data nullable: true additionalProperties: type: integer format: int64 Error3xxChart: type: object description: The constructed 3XX error responses chart data nullable: true additionalProperties: type: number format: double Error4xxChart: type: object description: The constructed 4XX error responses chart data nullable: true additionalProperties: type: number format: double Error5xxChart: type: object description: The constructed 5XX error responses chart data nullable: true additionalProperties: type: number format: double securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.